gsw_pt_from_pot_enthalpy_ice {gsw} | R Documentation

## Potential Temperature from Potential Enthalpy of Ice

### Description

Potential Temperature from Potential Enthalpy of Ice

### Usage

    gsw_pt_from_pot_enthalpy_ice(pot_enthalpy_ice)

### Arguments

`pot_enthalpy_ice` | potential enthalpy of ice [ J/kg ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

potential temperature [ degC ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pt_from_pot_enthalpy_ice.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    pot_enthalpy_ice <- c(-3.5544e5, -3.6033e5, -3.5830e5, -3.5589e5, -3.4948e5, -3.4027e5)
    pt <- gsw_pt_from_pot_enthalpy_ice(pot_enthalpy_ice)
    expect_equal(pt, c(-10.733087588125384, -13.167397822300588, -12.154205899172704,
                     -10.956202704066083, -7.794963180206421, -3.314905214262531))

[Package gsw version 1.0-5 Index]